Skip to main content
POST
Report artifact

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

flow_name
string
required

Name of a flow in the org

Pattern: ^[a-zA-Z0-9][a-zA-Z0-9\.\-_~]*$
org
string
required

Body

application/json
fingerprint
string
required

SHA-256 fingerprint of an artifact, 64 lowercase hex characters

Pattern: ^[a-f0-9]{64}$
filename
string
required
Minimum string length: 1
git_commit
string | null
required

Git commit SHA, 40 lowercase hex characters

Pattern: ^[a-f0-9]{40}$
build_url
string
required
commit_url
string
required
trail_name
string | null

Name of a trail in the flow

Pattern: ^[a-zA-Z0-9][a-zA-Z0-9\.\-_~]*$
template_reference_name
string | null
Maximum string length: 255
Pattern: ^[a-zA-Z0-9\-_]+$
description
string | null
git_commit_info
GitCommit · object | null
repo_info
RepoInfoPostInput · object | null
commits_list
GitCommit · object[] | null
repo_url
is_compliant
boolean | null
template
external_urls
External Urls · object | null
annotations
Annotations · object | null
user_data

Response

201 - application/json

Successful Response

The response is of type string.